Subject: bug#42005: guix pull has been failed

From: Marius Bakke <[email-masked]>
Date: Wed, 24 Jun 2020 16:33:49 +0200

Igor Gajsin <[email-masked]> writes:

> I think I found the root cause. Please, see the output of
>
> guix build --cores=1
> /gnu/store/d2v7gzbcv9by7zw8q39v0drff1q8q9da-util-linux-2.35.1.drv
>
> in the attachment.

Right.  This is the same issue as
<https://issues.guix.gnu.org/issue/41384>.

TL;DR: Upgrade (or downgrade) your kernel.  Or enable substitutes.

>> Also, did you intentionally disable binary substitutes?
>
> I use it as a separate package manager in Ubuntu and I use it 'as
> it'. Literally, I configure nothing.

How did you install Guix?  The installer script asks at the end whether
to enable binary substitutes or not: choosing no will require you to
build everything from source.

If you wish to enable transparent substitutes of pre-built packages from
the build farm, you can run this command:

  sudo guix archive --authorize < /var/guix/profiles/per-user/root/current-guix/share/guix/ci.guix.gnu.org.pub

Hope this helps!  :-)